Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Interface ConfigurationService

    public interface ConfigurationService

Author:
  Nick Belaevski

Method Summary
`Boolean` | `getBooleanValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`
`<T extends Enum<T>> T`
` | `getEnumValue(javax.faces.context.FacesContext facesContext, Enum<?> key, Class<T> enumClass)`
`Integer` | `getIntValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`Long` | `getLongValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`String` | `getStringValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`Object` | `getValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`

Method Detail

### getBooleanValue

    Boolean getBooleanValue(javax.faces.context.FacesContext facesContext,
                            Enum<?> key)

### getIntValue

    Integer getIntValue(javax.faces.context.FacesContext facesContext,
                        Enum<?> key)

### getLongValue

    Long getLongValue(javax.faces.context.FacesContext facesContext,
                      Enum<?> key)

### getStringValue

    String getStringValue(javax.faces.context.FacesContext facesContext,
                          Enum<?> key)

### getValue

    Object getValue(javax.faces.context.FacesContext facesContext,
                    Enum<?> key)

### getEnumValue

    <T extends Enum<T>> T getEnumValue(javax.faces.context.FacesContext facesContext,
                                       Enum<?> key,
                                       Class<T> enumClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.